---
- entityDefinitions:
  - IDI_Task_TextAttribute_Edit: '{f4463797-a148-4c27-820c-9624fbc1e9be}'
  - IDE_TextAttribute_Edit: '{9cd76f27-9f54-455e-b89e-541d11b89e06}'
  - IDE_TextAttribute_Edit_Start: '{c0857050-ba63-408f-8c95-fb198316bcb8}'
  - IDM_TextAttribute_Edit_Start: '{bc3d5345-cfd7-4deb-9a18-ddad2bf76f48}'
  - IDM_TextAttribute_Edit: '{4027f7cf-74e6-4af6-ae7a-2b6674a2abce}'
  - IDMB_TextAttribute_Edit: '{1b261a51-f185-49f9-9733-96184c8539a1}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - sequenceTask: '&IDI_Task_TextAttribute_Edit;'
    name: 'Edit Text Attribute'
    initiatingElement: '&IDE_TextAttribute_Edit_Start;'
    taskCategory: '&IDI_TaskCategory_TextAttribute;'
  
  - element: '&IDE_TextAttribute_Edit_Start;'
    name: 'edit text attribute start'
    processedByCTMethod: '&IDM_TextAttribute_Edit_Start;'
    elementContents:
    - globalIdentifier: '{f4ab40d4-9273-4346-b162-3a2178846559}'
      defaultDataType: '&IDE_TextAttribute_Select;'
      displayOptions:
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_Singular;'
      layout:
      - type: '&IDC_GroupLayout;'
        globalIdentifier: '{b6feea6c-265b-4bc1-b4f1-7753c9ef24ea}'
        options:
        - instance: '&IDI_GroupLayoutOption_FieldSet;'
      
  - controlTransactionMethod: '&IDM_TextAttribute_Edit_Start;'
    forClassId: '&IDC_TextAttribute;'
    verb: ''
    name: 'edit start'
    buildsResponseWithBRMB:
    - globalIdentifier: '&IDMB_TextAttribute_Edit;'
      executesMethod: '&IDM_TextAttribute_Edit;'
  
  - buildUIResponseMethod: '&IDM_TextAttribute_Edit;'
    usesExecutableReturningElement: '&IDE_TextAttribute_Edit;'

  - element: '&IDE_TextAttribute_Edit;'
    name: 'edit text attribute'
    elementContents:
    - globalIdentifier: '{b22bca1f-a2f7-436e-920c-6c1bd2c03c7b}'
      defaultDataType: '&IDE_TextAttribute_Subedits;'
      displayOptions:
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_Singular;'
